Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518600

Summary: Element Name must be alphanumeric characters and underscores without spaces
Product: Red Hat CloudForms Management Engine Reporter: Niladri Roy <niroy>
Component: UI - OPSAssignee: Roman Blanco <rblanco>
Status: CLOSED ERRATA QA Contact: Shveta <sshveta>
Severity: high Docs Contact:
Priority: high    
Version: 5.8.0CC: cpelland, hkataria, jhardy, mpovolny, niroy, obarenbo, simaishi, sshveta
Target Milestone: GAKeywords: Regression, ZStream
Target Release: 5.8.3   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.8.3.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-28 13:10:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: Bug
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: vCloud

Description Niladri Roy 2017-11-29 09:41:30 UTC
Description of problem:
Service dialog created from vapp orchestration template doesn't allow to edit a service dialog. Below is the error shown in the UI
"Element Name must be alphanumeric characters and underscores without spaces"

Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:
Always

Steps to Reproduce:
1. create service dialog from a vapp orchestration template
2. edit the service dialog (automate>customization>service dialogs)
3. try to save it

Actual results:
UI throws this error
Element Name must be alphanumeric characters and underscores without spaces

Expected results:
Service dialog should get saved

Additional info:
I'm able to save it by removing the hyphens

Comment 11 Roman Blanco 2017-12-05 16:20:37 UTC
The BZ describes an issue in the old dialog editor (that is in the 5.8 version), but was targeted into 5.9 version, where the dialog is not used anymore.

The target was now changed to 5.8.

Comment 12 Roman Blanco 2017-12-05 17:17:21 UTC
Fixed in https://github.com/ManageIQ/manageiq-ui-classic/pull/2956

Comment 13 Shveta 2018-01-02 19:16:27 UTC
Fixed in  5.8.3.0.20171213193853_f1b4a89

Comment 16 errata-xmlrpc 2018-02-28 13:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374